> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Exams By Week

> Returns exams grouped by week based on the given filter parameters.



## OpenAPI

````yaml https://api.dev.smarterproctoring.com/openapi.json get /v1/installs/{installSid}/examsByWeek
openapi: 3.0.0
info:
  title: SmarterProctoring API
  version: 3.0.3
  description: API documentation for SmarterProctoring
servers:
  - url: https://api.smarterproctoring.com
security:
  - client: []
tags:
  - name: App Install
    description: App Install operations
    x-group: App Install
  - name: Course
    description: Course operations
    x-group: Course
  - name: Course Offering
    description: Course Offering operations
    x-group: Course Offering
  - name: Exam
    description: Exam operations
    x-group: Exam
  - name: Exam Configuration
    description: Exam Configuration operations
    x-group: Exam Configuration
  - name: Exam Events
    description: Exam Events operations
    x-group: Exam Events
  - name: Exam Session
    description: Exam Session operations
    x-group: Exam Session
  - name: Exam Session Annotation
    description: Exam Session Annotation operations
    x-group: Exam Session Annotation
  - name: Exam Session Event
    description: Exam Session Event operations
    x-group: Exam Session Event
  - name: Onboarding
    description: Onboarding operations
    x-group: Onboarding
  - name: Provision
    description: Provision operations
    x-group: Provision
  - name: Reports
    description: Reports operations
    x-group: Reports
  - name: Time Zones
    description: Time Zones operations
    x-group: Time Zones
  - name: User
    description: User operations
    x-group: User
paths:
  /v1/installs/{installSid}/examsByWeek:
    get:
      tags:
        - Reports
      summary: Exams By Week
      description: Returns exams grouped by week based on the given filter parameters.
      operationId: getV1InstallsInstallsidExamsbyweek
      parameters:
        - name: installSid
          in: path
          schema:
            type: string
            description: Install Sid
            pattern: ^AI[a-f0-9]{32}$
          description: Install Sid
          required: true
        - name: offset
          in: query
          schema:
            type: integer
            description: Result offset
            minimum: 0
          description: Result offset
        - name: limit
          in: query
          schema:
            type: integer
            description: Number of items to return
            minimum: 0
          description: Number of items to return
        - name: courseOfferingSid
          in: query
          schema:
            type: string
            description: Course offering sid
            pattern: ^CO[a-f0-9]{32}$
          description: Course offering sid
        - name: groupBy
          in: query
          schema:
            type: string
            description: The base for grouping the exams
            default: examOpenDate
            enum:
              - examOpenDate
              - examCloseDate
          description: The base for grouping the exams
        - name: status
          in: query
          schema:
            type: string
            description: Active status of the exams
            enum:
              - past
              - active
              - upcoming
          description: Active status of the exams
        - name: startDate
          in: query
          schema:
            type: string
            description: earliest date to show exams
          description: earliest date to show exams
        - name: endDate
          in: query
          schema:
            type: string
            description: Latest date to show exams
          description: Latest date to show exams
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExamsByWeekReportResponse'
components:
  schemas:
    ExamsByWeekReportResponse:
      type: object
      properties:
        total:
          type: number
          nullable: true
        first:
          type: string
          nullable: true
        next:
          type: string
          nullable: true
        prev:
          type: string
          nullable: true
        last:
          type: string
          nullable: true
        count:
          type: number
          nullable: true
        offset:
          type: number
          nullable: true
        startDate:
          type: string
          nullable: true
        endDate:
          type: string
          nullable: true
        lastEvaluatedKey:
          type: string
          nullable: true
        results:
          $ref: '#/components/schemas/ExamByWeekItem'
    ExamByWeekItem:
      type: array
      items:
        $ref: '#/components/schemas/Model4'
    Model4:
      type: object
  securitySchemes:
    client:
      type: apiKey
      name: token
      in: header

````